diff --git a/.gitattributes b/.gitattributes
index c4d0aea100831b753c585e6e6c98baa39cb13ad8..ad9f7162959c9a158905f05ff0d0ff24f7ecf893 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -5556,6 +5556,7 @@ SubSystems/Online_Cobalt/validation/cobalt/mpi/mpi-hello-world.c -text
 SubSystems/Online_Cobalt/validation/cobalt/mpi/mpi-infiniband-between-nodes.test -text
 SubSystems/Online_Cobalt/validation/cobalt/mpi/mpi-to-all-nodes.test -text
 SubSystems/Online_Cobalt/validation/cobalt/network/ib_mode.test -text
+SubSystems/Online_Cobalt/validation/cobalt/network/interface_links.test -text
 SubSystems/Online_Cobalt/validation/cobalt/network/resolvconf.test eol=lf
 SubSystems/Online_Cobalt/validation/intercluster/c3/cexec -text
 SubSystems/Online_Cobalt/validation/intercluster/connectivity/cobalt2cep.test eol=lf
diff --git a/SubSystems/Online_Cobalt/validation/cobalt/network/interface_links.test b/SubSystems/Online_Cobalt/validation/cobalt/network/interface_links.test
new file mode 100755
index 0000000000000000000000000000000000000000..7befccedf24bfcab8d71a9958b6db98f28acfbd5
--- /dev/null
+++ b/SubSystems/Online_Cobalt/validation/cobalt/network/interface_links.test
@@ -0,0 +1,23 @@
+#!/bin/bash -v
+
+source $(dirname $0)/../../validation_utils.sh
+check_running_on_cobalt2
+
+EXIT_CODE=0
+
+for i in {201..213} ; do
+    NODE=cbm$i.control.lofar
+    # the following interfaces need to be connected
+    # 10GB03 and 10GB07 are spares and do not need to connected at this moment
+    for INTERFACE in ib0 ib1 10GB01 10GB02 10GB04 10GB05 10GB06 em1 ; do
+        RESULT=$(ssh $NODE /usr/sbin/ethtool $INTERFACE |& grep "Link detected: yes")
+        if [ $? -eq 0 ] ; then
+            echo "$NODE : interface $INTERFACE has a detected link"
+        else
+            echo "ERROR: $NODE : interface $INTERFACE has no detected link"
+            EXIT_CODE=1
+        fi
+    done
+done
+
+exit $EXIT_CODE